summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNeels Hofmeyr <neels@hofmeyr.de>2017-10-27 22:48:14 +0200
committerHarald Welte <laforge@gnumonks.org>2017-10-28 15:40:50 +0000
commitd5ee1ed734f914a4fb7e00c927336d93fb40053e (patch)
treed0f0c5970bd5bd9612b0bd9a45a29f4ecae9d4b5
parent551e9c94b3e067f548bcf08e1c3f202f90d6558c (diff)
jenkins: add missing set -e to catch build errors
-rwxr-xr-xcontrib/jenkins.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index d9901e3..d4f98f3 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,6 +1,8 @@
#!/usr/bin/env bash
# jenkins build helper script for libasn1c. This is how we build on jenkins.osmocom.org
+set -e
+
set +x
echo
echo